
SoundSoftware Code Site - Bug #57
Feature # 1 (Closed): Properly balanced registration system
Description must not permit HTML
2010-12-14 03:09 PM - Chris Cannam

Status: Closed Start date: 2010-12-14
Priority: Urgent Due date:
Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

Currently the Description is received and stored as unfiltered HTML -- see for example http://test.soundsoftware.ac.uk/luisf/users/6
(user with Javascript injection in their description field).  It needs to be something safer -- a standard Wiki-text format would do nicely.

History
#1 - 2010-12-14 04:54 PM - Luis Figueira
- Status changed from New to Feedback
- Assignee changed from Luis Figueira to Chris Cannam

"Testable" in my branch.

#2 - 2010-12-14 04:56 PM - Chris Cannam
- Status changed from Feedback to Resolved
- Assignee changed from Chris Cannam to Luis Figueira
- % Done changed from 0 to 100

Looks good.  Thanks!

#3 - 2010-12-17 02:01 PM - Chris Cannam
- Status changed from Resolved to Closed

#4 - 2010-12-17 02:03 PM - Chris Cannam
- Assignee changed from Luis Figueira to Chris Cannam
